# Interface methods for submodule: NeighborhoodConnectedImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: NeighborhoodConnectedImageFilter
class NeighborhoodConnectedImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def ClearSeeds(self) -> None:
		""""""
		...

	def SetSeed(self, seed: Sequence[int]) -> None:
		""""""
		...

	def AddSeed(self, seed: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetLower(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetLower(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetLower(self) -> float:
		""""""
		...

	@overload
	def GetLower(self) -> int:
		""""""
		...

	@overload
	def SetUpper(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetUpper(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetUpper(self) -> float:
		""""""
		...

	@overload
	def GetUpper(self) -> int:
		""""""
		...

	@overload
	def SetReplaceValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetReplaceValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetReplaceValue(self) -> float:
		""""""
		...

	@overload
	def GetReplaceValue(self) -> int:
		""""""
		...

	def SetRadius(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetRadius(self) -> Sequence[int]:
		""""""
		...

